As of April 20th, 2026, BigLake is now called Lakehouse for Apache Iceberg. BigLake metastore is now called the Lakehouse runtime catalog. Lakehouse APIs, client libraries, CLI commands, and IAM names remain unchanged and still reference BigLake.
Method: hive.v1beta.projects.catalogs.databases.tables.partitions.list
Stay organized with collections
Save and categorize content based on your preferences.
Streams list of partitions from a table.
HTTP request
GET https://biglake.googleapis.com/hive/v1beta/{parent=projects/*/catalogs/*/databases/*/tables/*}/partitions:list
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
parent |
string
Required. Reference to the table to which these partitions belong, in the format of projects/{project}/catalogs/{catalogs}/databases/{database}/tables/{table}.
|
Query parameters
| Parameters |
filter |
string
Optional. SQL text filtering statement, similar to a WHERE clause in a query. Only supports single-row expressions. Aggregate functions are not supported. Examples: * "int_field > 5" * "date_field = CAST('2014-9-27' as DATE)" * "nullable_field is not NULL" * "st_equals(geo_field, st_geofromtext("POINT(2, 2)"))" * "numeric_field BETWEEN 1.0 AND 5.0" Restricted to a maximum length of 1 MB.
|
Request body
The request body must be empty.
Response body
Response message for partitions.list.
If successful, the response body contains data with the following structure:
| JSON representation |
{
"partitions": [
{
object (Partition)
}
]
} |
| Fields |
partitions[] |
object (Partition)
Output only. List of partitions.
|
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/bigquery
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-05-28 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-05-28 UTC."],[],[]]